Wind River Support Network

HomeDefectsLIN5-13711
Fixed

LIN5-13711 : Security Advisory - gnome - CVE-2012-2370

Created: Sep 2, 2012    Updated: Dec 19, 2017
Resolved Date: May 30, 2014
Previous ID: LIN3-15973
Found In Version: 5.0
Fix Version: 5.0.1.16
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Multiple integer overflows in the read_bitmap_file_data function in io-xbm.c in gdk-pixbuf before 2.26.1 allow remote attackers to cause a denial of service (application crash) via a negative (1) height or (2) width in an XBM file, which triggers a heap-based buffer overflow.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-2370

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online